Diff for /wikisrc/security/meltdown_spectre.mdwn between versions 1.6 and 1.7

version 1.6, 2018/02/23 17:11:57 version 1.7, 2018/03/01 11:47:12
Line 3 Line 3
 Status of the Fixes  Status of the Fixes
 -------------------  -------------------
   
   ## Spectre Variant 1
   
 [[!table data="""  [[!table data="""
 Port            |CPU Vendor     |Spectre (V1)   |NetBSD-6       |NetBSD-7       |NetBSD-8       |NetBSD-current  Port            |CPU Vendor     |Spectre (V1)   |NetBSD-6       |NetBSD-7       |NetBSD-8       |NetBSD-current
 amd64           |Intel          |Vulnerable     |Not fixed      |Not fixed      |Not fixed      |Not fixed  amd64           |Intel          |Vulnerable     |Not fixed      |Not fixed      |Not fixed      |Not fixed
 amd64           |AMD            |Vulnerable     |Not fixed      |Not fixed      |Not fixed      |Not fixed  amd64           |AMD            |Vulnerable     |Not fixed      |Not fixed      |Not fixed      |Not fixed
   amd64           |VIA            |Unknown        |Not fixed      |Not fixed      |Not fixed      |Not fixed
 i386            |Intel          |Vulnerable     |Not fixed      |Not fixed      |Not fixed      |Not fixed  i386            |Intel          |Vulnerable     |Not fixed      |Not fixed      |Not fixed      |Not fixed
 i386            |AMD            |Vulnerable     |Not fixed      |Not fixed      |Not fixed      |Not fixed  i386            |AMD            |Vulnerable     |Not fixed      |Not fixed      |Not fixed      |Not fixed
   i386            |VIA            |Unknown        |Not fixed      |Not fixed      |Not fixed      |Not fixed
 """]]  """]]
   
   Notes:
    * VIA Technologies did not issue any statement.
   
   ## Spectre Variant 2
   
 [[!table data="""  [[!table data="""
 Port            |CPU Vendor     |Spectre (V2)   |NetBSD-6       |NetBSD-7       |NetBSD-8       |NetBSD-current  Port            |CPU Vendor     |Spectre (V2)   |NetBSD-6       |NetBSD-7       |NetBSD-8       |NetBSD-current
 amd64           |Intel          |Vulnerable     |Not fixed      |Not fixed      |Not fixed      |Not fixed  amd64           |Intel          |Vulnerable     |Not fixed      |Not fixed      |Not fixed      |Not fixed
 amd64           |AMD            |Vulnerable     |Not fixed      |Not fixed      |Not fixed      |Not fixed  amd64           |AMD            |Vulnerable     |Not fixed      |Not fixed      |Not fixed      |Not fixed
   amd64           |VIA            |Unknown        |Not fixed      |Not fixed      |Not fixed      |Not fixed
 i386            |Intel          |Vulnerable     |Not fixed      |Not fixed      |Not fixed      |Not fixed  i386            |Intel          |Vulnerable     |Not fixed      |Not fixed      |Not fixed      |Not fixed
 i386            |AMD            |Vulnerable     |Not fixed      |Not fixed      |Not fixed      |Not fixed  i386            |AMD            |Vulnerable     |Not fixed      |Not fixed      |Not fixed      |Not fixed
   i386            |VIA            |Unknown        |Not fixed      |Not fixed      |Not fixed      |Not fixed
 """]]  """]]
   
   Notes:
    * VIA Technologies did not issue any statement.
    * neither Intel, nor AMD, has issued a stable microcode update.
   
   ## Meltdown
   
 [[!table data="""  [[!table data="""
 Port            |CPU Vendor     |Meltdown (V3)  |NetBSD-6       |NetBSD-7       |NetBSD-8       |NetBSD-current  Port            |CPU Vendor     |Meltdown (V3)  |NetBSD-6       |NetBSD-7       |NetBSD-8       |NetBSD-current
 amd64           |Intel          |Vulnerable     |No fix planned |Not fixed      |Not fixed      |Fixed with SVS  amd64           |Intel          |Vulnerable     |No fix planned |Not fixed      |Not fixed      |Fixed with SVS
 amd64           |AMD            |Not vulnerable |(nothing)      |(nothing)      |(nothing)      |(nothing)  amd64           |AMD            |Not vulnerable |               |               |               |
   amd64           |VIA            |Unknown        |               |               |               |
 i386            |Intel          |Vulnerable     |No fix planned |Not fixed      |Not fixed      |Not fixed  i386            |Intel          |Vulnerable     |No fix planned |Not fixed      |Not fixed      |Not fixed
 i386            |AMD            |Not vulnerable |(nothing)      |(nothing)      |(nothing)      |(nothing)  i386            |AMD            |Not vulnerable |               |               |               |
   i386            |VIA            |Unknown        |               |               |               |
 """]]  """]]
   
   Notes:
 Notes   * VIA Technologies did not issue any statement.
 -----  
 * The fixes for Spectre Variant 2 on Intel require a microcode update, but Intel hasn't yet released new microcodes.  
   

Removed from v.1.6  
changed lines
  Added in v.1.7


CVSweb for NetBSD wikisrc <wikimaster@NetBSD.org> software: FreeBSD-CVSweb